Subject: Re: bug#26484: feature request: add ICC support on Windows

From: Earnie <[email-masked]>
Date: Fri, 14 Apr 2017 08:48:35 -0400

On 4/13/2017 11:01 AM, [email-masked] wrote:
> Hello,
> 
> Currently ICC, like MSVC, offer free versions for Open Source
> development on Windows
> (https://software.intel.com/en-us/qualify-for-free-software/opensourcecontributor
> ). Thus a lot of Open Source tools, which use autotools build system
> (GMP/MPIR, MPFR, libiconv, etc.), could be built using free Intel
> Compiler, which offer a better performance
> (https://software.intel.com/en-us/c-compilers/ipsxe ).
> 
> Currently autotools doesn't provide ICC support "out of the box". But,
> fortunately , it provide such support for MSVC. And since ICC on Windows
> tries to emulate MSVC (by using same compiler keys, MSVC linker, etc.),
> it's pretty easy to adopt MSVC toolchain from 'configure' script for
> this purpose.
> 
> E.g., in order to add ICC support for libiconv-1.15
> (https://ftp.gnu.org/gnu/libiconv/libiconv-1.15.tar.gz ) build system, a
> very simple patch required (see attachment).
> 
> But since content of 'configure' script relate to file 'libtool.m4', it
> would be more convenient, if libtool provide ICC support "out of the box".
> 
> Is it possible to add ICC support to the future libtool releases?

Instead of obliterating cl by replacing it with icl why don't you patch
it so that it could be either one?

-- 
Earnie